import * as ApiUtil from '../util/cart_api_util';

export const RECEIVE_USER_CART = "RECEIVE_USER_CART";

const receiveUserCart = cart => ({
    type: RECEIVE_USER_CART,
    cart
})

export const fetchUserCart = userEmail => dispatch => ApiUtil.fetchUserCart(userEmail)
    .then(cart => dispatch(receiveUserCart(cart)));

export const updateUserCart = (updatedCart, userEmail) => dispatch => ApiUtil.updateCart(updatedCart, userEmail)
    .then(cart => dispatch(receiveUserCart(cart)));

export const createUserCart = newCart => dispatch => ApiUtil.createCart(newCart)
    .then(res => res.json)